Contenu | Rechercher | Menus

Annonce

T-shirt Seiche Cosmic, Série limitée

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.10
T-shirt Ubuntu-FR « Seiche Cosmique » en série limitée ! Prix spécial pré-vente (15€) jusqu'au 4 novembre 2018.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

Heure d'hiver: N'oubliez pas de décochez l'heure d'été dans votre profil.

#1 Le 09/02/2018, à 11:33

SarahC

Installation python 3.5

Bonjour,j'ai actuellement la version 3.4.3 j'aimerais avoir au moins la version 3.5.3.
Donc j'ai essayé de faire ca

 sudo apt-get install python3

Donc, j'ai ca

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
python3 est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-3.19.0-77 linux-headers-3.19.0-77-generic
  linux-headers-4.4.0-98 linux-headers-4.4.0-98-generic
  linux-image-3.19.0-77-generic linux-image-4.4.0-98-generic
  linux-image-extra-3.19.0-77-generic linux-image-extra-4.4.0-98-generic
  linux-signed-image-3.19.0-77-generic
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 83 non mis à jour.

J'ai essayé de faire

apt-get autoremove

mais j'ai ca

apt-get autoremove
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?

Je ne sais pas si ce que je faisait c'était bien ce qu'il fallait faire.
Merci d'avance.

Hors ligne

#2 Le 09/02/2018, à 12:08

J5012

Re : Installation python 3.5

tu as oublié sudo devant ...

pourquoi precisement cette version 3.5.3 ?

quelle version ubuntu as-tu ?

lsb_release -a

d'apres le depot de paquetages : https://packages.ubuntu.com/search?keyw … ection=all
→ trusty a une version 3.4.0
→ xenial , 3.5.1-3
→ zesty , 3.5.3-1
→ …

Hors ligne

#3 Le 09/02/2018, à 12:31

SarahC

Re : Installation python 3.5

J'ai pas dit que je voulais absolument cette version la mais au moins celle la ou une autre plus récente.
J'ai cette version

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.5 LTS"

Mais j'ai toujours 83 non mis a jour

Dernière modification par SarahC (Le 09/02/2018, à 14:56)

Hors ligne

#4 Le 10/02/2018, à 20:35

J5012

Re : Installation python 3.5

tu as une 14.04.5 , et le python le plus recent à jour correspondant à cette version d'ubuntu ...

si tu veux plus recent encore tu peux essayer de migrer de version ubuntu jusqu'en xenial 16.04, ou avec une version de developpement (zesty 16.10 , artful 17.04 ou bionic 17.10) ... mais ca reste une solution aventureuse pour un debutant ...

pourquoi d'ailleurs veux-tu le python le plus à jour ? → tu as une application le requerant ?

Hors ligne

#5 Le 11/02/2018, à 13:07

SarahC

Re : Installation python 3.5

En fait en cours j'utilise python 3.5.3 donc j'aimerais bien une version ou ca marche sur mon pc et en cours sans probleme?

Donc du coup comment je fait pour avoir une version un peu plus récente?

Dernière modification par SarahC (Le 11/02/2018, à 14:17)

Hors ligne

#6 Le 12/02/2018, à 22:30

J5012

Re : Installation python 3.5

tu dois dans ce cas : installer un environnement specifique à python 3.5.3 ou plus ...
tu peux le faire via des paquets de dev ppa, mais ca demandera des notions avancees en paquetages apt : certains utilisateurs le font sans vraiment comprendre mais c'est l'aventure ... si ca passe t'es ok, mais si ca casse ? → aiaiaiae...

l'autre solution est d'uitliser une installation externe de python en binaire deja compilé : ca va s'installer dans /opt ou ailleurs vis-a-vis de tes fichiers perso (mais il te faudra redefinir les chemins d'execution → ouille) , si tu ne trouves pas de binaire deja pret il te faudra le compiler ...

votre prof de programme python ne vous fournit pas de support d'install python 3.5.3 ?

binaires active python : https://www.activestate.com/activepython/downloads

sources python à compiler soi-meme : https://www.python.org/downloads/

depots ppa : https://doc.ubuntu-fr.org/python#python_3_et_ubuntu

Hors ligne